# $Revision: 1.23 $, $Date: 2001/06/15 16:06:51 $
Summary:	The Internet Protocols logger
Summary(pl):	Program zapisujcy informacje zwizane z protokoami Internetowymi
Name:		protolog
Version:	1.0.8
Release:	5
License:	GPL
Group:		Networking
Group(de):	Netzwerkwesen
Group(pl):	Sieciowe
Vendor:		Diego Javier Grigna <diego@grigna.com>
URL:		http://www.grigna.com/diego/linux/
Source0:	ftp://sunsite.unc.edu/pub/Linux/system/network/monitor/%{name}-%{version}.tar.gz
Source1:	%{name}.logrotate
Patch0:		%{name}-1.0.8.make.diff
Prereq:		/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It consists of three daemons that logs incoming IP/TCP, IP/UDP and
IP/ICMP packets.

%description -l pl
Pakiet zawiera trzy deamony logujce informacj na temat
przychodzcych pakietw IP/TCP, IP/UDP oraz IP/ICMP.

%prep
%setup -q
%patch -p1

%build
%{__make} -C src OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/{etc/{rc.d/init.d,logrotate.d},usr/{sbin,man/man8}} \
	$RPM_BUILD_ROOT/var/log/archiv/protolog

%{__make} -C src install \
	bindir=$RPM_BUILD_ROOT%{_sbindir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}/man8 \
	logdir=$RPM_BUILD_ROOT/var/log/protolog

touch $RPM_BUILD_ROOT/var/log/protolog/{icmp.log,icmp.raw,tcp.log,tcp.raw,udp.log,udp.raw}

cat  << EOF > $RPM_BUILD_ROOT/etc/rc.d/init.d/protolog
#!/bin/bash
#
# chkconfig: 2345 50 50
# description: IP protocols logger - logs TCP and ICMP.
#
# Source function library.
. /etc/rc.d/init.d/functions

# Source networking configuration.
. /etc/sysconfig/network

PLOGTCP="-q"
PLOGUDP="-q"
PLOGICMP="-q"

if [ -r %{_sysconfdir}/protolog.conf ]; then
. %{_sysconfdir}/protolog.conf
fi

# Check that networking is up.
[ \${NETWORKING} = "no" ] && exit 0
# See how we were called.
case "\$1" in
  start)
        show Starting protolog TCP daemon:
        daemon plogtcp \$PLOGTCP
	show Starting protolog UDP daemon:
	daemon plogudp \$PLOGUDP
	show Starting protolog ICMP daemon:
	daemon plogicmp \$PLOGICMP
        touch /var/lock/subsys/protolog
        ;;
  stop)
        show Stopping protolog TCP daemon:
        killproc plogtcp
	show Stopping protolog UDP daemon:
	killproc plogudp
	show Stopping protolog ICMP daemon:
	killproc plogicmp
        rm -f /var/lock/subsys/protolog
        ;;
  status)
        status protolog
        ;;
  restart)
        \$0 stop
	\$0 start
        ;;
  *)
        echo "Usage: \$0 {start|stop|status|restart}"
        exit 1
esac

exit 0
EOF

cat << EOF > $RPM_BUILD_ROOT%{_sysconfdir}/protolog.conf
#
# Opcje dla plogtcp - TCP packet logger
# zobacz:	man plogtcp
PLOGTCP="-qlri \`hostname --ip-address\`"

# Opcje dla plogudp - UDP packet logger
# zobacz:	man plogudp
PLOGUDP="-qli \`hostname --ip-address\`"

# Opcje dla plogicmp - ICMP packet logger
# zobacz:	man plogicmp
PLOGICMP="-qlri \`hostname --ip-address\`"

EOF

install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add protolog

%preun
/sbin/chkconfig --del protolog

%files
%defattr(644,root,root,755)
%doc doc/BUGS doc/README

%attr(755,root,root) %{_sbindir}/*
%attr(754,root,root) /etc/rc.d/init.d/protolog
%attr(750,root,root) %dir /var/log/protolog
%attr(750,root,root) %dir /var/log/archiv/protolog
%attr(640,root,root) %config(noreplace) %verify(not md5 size mtime) /var/log/protolog/*
%attr(640,root,root) /etc/logrotate.d/protolog
%attr(640,root,root) %config %{_sysconfdir}/protolog.conf
 %{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: protolog.spec,v $
Revision 1.23  2001/06/15 16:06:51  baggins
- release 5
- prereq chkconfig

Revision 1.22  2001/05/02 21:51:28  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.21  2000/09/01 14:41:00  baggins
- typo

Revision 1.20  2000/09/01 14:17:41  baggins
- typo

Revision 1.19  2000/09/01 13:52:10  baggins
- release 4
- fixed logrotate config

Revision 1.18  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.17  2000/06/07 04:36:13  kloczek
- spec adapterized.

Revision 1.16  2000/04/01 11:15:36  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.14  2000/03/28 13:09:10  baggins
- release ++
- updated init script to rc-scripts 0.2.0

Revision 1.13  2000/03/16 18:22:39  alchemyx
- RPM_BUILD_ROOT missing in one place

Revision 1.12  2000/02/02 11:05:20  waszi

- small fixes in permissions for pam.d or init.d

Revision 1.11  1999/12/13 21:27:53  alchemyx
- cosmetics

Revision 1.10  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.9  1999/07/12 23:06:13  kloczek

- added using CVS keywords in %changelog (for automating them).

* Sat Feb 20 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
[1.0.8-1d]
- new upstream release

* Wed Feb 03 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
[1.0.6-1d]
- new upstream release
- new rc-scripts ready

* Mon Jan 18 1999 Arkadiusz Mikiewicz <misiek@pld.za.net>
[1.0.2-1d]
- added logrotate config
- added console patch

* Sun Jan 17 1999 Arkadiusz Mikiewicz <misiek@pld.za.net>
[1.0.2-1d]
- initial RPM release
- TODO: logrotate config
